Sådan opdateres fra v3.1.1 til v4 og migrerer eksisterende kort

Da teknisk set Maps Marker Pro 4 er et nyt plugin i modsætning til v3.1.1, er opdateringsprocessen lidt anderledes end normalt:

For at kunne opdatere til v4, skal du først opdatere til v3.1.1:

Naviger til plugins, og klik på linket "Kontroller manuelt for opdateringer" ud for "Maps Marker Pro":

Som næste trin skal du klikke på linket "Opdater nu" for at opdatere til v3.1.1.

Når opdateringen til v3.1.1 er afsluttet, er du klar til at starte installationen af ​​“Maps Marker Pro” 4 som nyt plugin. Så klik venligst på "venligst klik her for at få flere oplysninger" for at gå videre til næste trin:

Dette fører dig til siden "Opdater til Maps Marker Pro 4". Start installationen som nyt plugin ved at klikke på knappen “Lyder godt! Jeg vil opdatere til Maps Marker Pro 4 nu! ”:

Når plugin er installeret, skal du først deaktivere "Maps Marker Pro" (v3.1.1), før du aktiverer "Maps Marker Pro" (v4):

Efter aktivering af v4, vil du se en administra- tionsmeddelelse, der fører dig til siden med dataoverførselsværktøj:

Fra og med Maps Marker Pro 4.0 er markørkort udfaset, men kan stadig bruges til bagudkompatibilitet. Der er dog behov for yderligere kortkodeattributter for at få dem til at se ens ud. På grund af den høje risiko for at gøre dette programmatisk, kræver vi, at du udskifter disse kortkoder manuelt. Start migreringskontrollen for at få en liste over brugte markørkort og deres opdaterede kortkoder. Kun kortkoder i indlæg og sider kan registreres, så kontroller også, om du bruger kortkoder i widgets eller andre steder. Start denne check ved at klikke på knappen "Check migration":

Hvis du bruger markørkortkoder i dine indlæg eller sider, får du vist en liste over en resultattabel:

Som næste trin skal du klikke på “Start migrering” (for at migrere dine kortdata fra det gamle til det nye databaseskema).

Når (automatisk) migrering er afsluttet, vil du se meddelelsen "Datamigrering fuldført med succes":

Brug derefter redigeringslinket for hvert markørkortkorts udseende og udskift markørkortkoden i relateret indhold med kortkoden fra rækken "Ny kortkode". Eksempel: indlægget "Begivenheder" fra ovenstående skærmbillede bruger kortkoden [mapsmarker marker="1"] - dette skal erstattes med [mapsmarker marker="1" basemapDefault="osm" width="640" widthUnit="px" height="480" panel="true"] enkelt gang.

Slet ikke Maps Marker Pro 3.1.1, før du har verificeret, at alle data er migreret korrekt. Vi anbefaler også at lave en sikkerhedskopi af wp_leafletmapsmarker_layers og sort wp_leafletmapsmarker_markers databasetabeller for at kunne køre migreringen igen på et senere tidspunkt, hvis det bliver nødvendigt.

0
0
6616
Bedøm denne brugervejledning

Du har ikke tilladelse til at bedømme dette indlæg.

Kommentarer eller yderligere spørgsmål?

Hvis du leder efter teknisk support klik her, for alle andre spørgsmål tak brug vores kontaktformular At komme i kontakt! Vi glæder os til at høre fra dig!

Dit Maps Marker Pro-team

en English
X